import java.io.*;
import java.util.*;
import java.awt.*;
import javax.swing.*;

public class Sidepane extends JPanel implements Observer
{
  private Model model;

  // Bob the Builder this shit
  public Sidepane(Model model)
  {
    // Hook up this observer so that it will be notified when the model
    // changes.
    this.model = model;
    this.setPreferredSize(new Dimension(100, 300));
    model.addObserver(this);
  }

  /**
  * Update with data from the model.
  */
  public void update(Object observable)
  {
    this.setBackground(model.sideColour);
    revalidate();
    repaint();
  }
}
